## xphyle 4.4.1

=== Makefile ===
module = xphyle
#pytestops = "--full-trace"
#pytestops = "-v -s"
repo = jdidion/$(module)
desc = Release $(version)
tests = tests
desc = ''
# Use this option to show full stack trace for errors
#pytestopts = "--full-trace"

all: install test

install:
	python setup.py install

test:
	pytest -m "not perf" -vv --cov --cov-report term-missing $(pytestopts) $(tests)

perftest:
	pytest -m "perf" $(tests)

clean:
	rm -Rf __pycache__
	rm -Rf **/__pycache__/*
	rm -Rf dist
	rm -Rf build
	rm -Rf *.egg-info
	rm -Rf .pytest_cache
	rm -Rf .coverage

tag:
	git tag $(version)

release: clean tag install test
	echo "Releasing version $(version)"
	python setup.py sdist bdist_wheel
	# release
	#python setup.py upload -r pypi
	twine upload dist/*
	# push new tag after successful build
	git push origin --tags
	# create release in GitHub
	curl -v -i -X POST \
		-H "Content-Type:application/json" \
		-H "Authorization: token $(token)" \
		https://api.github.com/repos/$(repo)/releases \
		-d '{ \
		  "tag_name":"$(version)", \
		  "target_commitish": "master", \
		  "name": "$(version)", \
		  "body": "$(desc)", \
		  "draft": false, \
		  "prerelease": false \
		}'

docs:
	make -C docs api
	make -C docs html

readme:
	pandoc --from=markdown --to=rst --output=README.rst README.md

lint:
	pylint $(module)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXAPI     = sphinx-apidoc
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
MOSTSPHINXOPTS = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)
ALLSPHINXOPTS   = $(MOSTSPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

api:
	$(SPHINXAPI) -f -o api .. ../setup.py ../tests/*

html:
	$(SPHINXBUILD) -b html $(MOSTSPHINXOPTS) api $(BUILDDIR)/html
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
		  ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
		  ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/atropos.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/atropos.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/atropos"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/atropos"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
		  "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
		  "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
		  "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
		  "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx==3.3.1
pokrok==0.2.0

=== debian/changelog ===
xphyle (4.4.1-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix python-3.10 FTBFS (Closes: #1002329)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Jan 2022 03:17:18 +0530

xphyle (4.4.1-2) unstable; urgency=medium

  * Team Upload.
  * Add necessary build deps
  * d/p/fix-tests.patch: Fix testsuite, skip one
    test due to missing test dep (Closes: #983766)
  * Fix description, make yamllint happy

 -- Nilesh Patra <nilesh@debian.org>  Fri, 19 Mar 2021 17:56:06 +0530

xphyle (4.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #981215)

 -- Steffen Moeller <moeller@debian.org>  Fri, 01 Jan 2021 02:02:27 +0100

=== debian/control ===
Source: xphyle
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-setuptools-scm,
               python3-pytest <!nocheck>,
               python3-pokrok <!nocheck>
Standards-Version: 4.5.1
Homepage: https://github.com/jdidion/xphyle
Vcs-Browser: https://salsa.debian.org/python-team/packages/xphyle
Vcs-Git: https://salsa.debian.org/python-team/packages/xphyle.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-xphyle
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pokrok
Description: opening, reading, and writing files while agnostic to compression
 xphyle is a small Python library that makes it easy to open compressed
 files. Most importantly, xphyle will use the appropriate program
 (e.g. 'gzip') to compress/decompress a file if it is available on
 your system; this is almost always faster than using the corresponding
 Python library. xphyle also provides methods that simplify common file
 I/O operations.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=xphyle

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xphyle-$1.tar.gz%" \
   https://github.com/jdidion/xphyle/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## xphyle 4.4.4

=== Makefile ===
--- 
+++ 
@@ -34,9 +34,11 @@
 release: clean tag install test
 	echo "Releasing version $(version)"
 	python setup.py sdist bdist_wheel
+	# pypi doesn't accept eggs
+	rm dist/*.egg
 	# release
 	#python setup.py upload -r pypi
-	twine upload dist/*
+	twine upload -u "__token__" -p "$(pypi_token)" dist/*
 	# push new tag after successful build
 	git push origin --tags
 	# create release in GitHub

=== requirements.txt ===
pokrok==0.2.0

=== docs/requirements.txt ===
sphinx==7.2.6
pokrok==0.2.0

=== debian/changelog ===
xphyle (4.4.4-6) unstable; urgency=medium

  * Team upload
  * Enable more compressor tests
  * tests: Drop U mode from xopen (dropped in py3.11, Closes: #1094079)

 -- Bastian Germann <bage@debian.org>  Fri, 07 Mar 2025 20:51:08 +0100

xphyle (4.4.4-5) unstable; urgency=medium

  * Team upload.
  * d/control: turn on autopkgtest-pkg-pybuild

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 27 Apr 2024 11:35:03 +0200

xphyle (4.4.4-4) unstable; urgency=medium

  * Team upload.
  * d/rules: let setuptools-scm work
  * d/README.source: document issue with pbuilder and the tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 19:30:38 +0200

xphyle (4.4.4-3) unstable; urgency=medium

  * Team upload.
  * Deal with "Usage of dash-separated 'description-file' will not be
    supported in future" warning.
  * Build-Depends: pybuild-plugin-pyproject
  * Verify that Build-Time test works for all supportet Python3 versions
    Closes: #1067258
  * Standards-Version: 4.7.0 (routine-update)
  Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 18 Apr 2024 10:48:44 +0200

xphyle (4.4.4-2) unstable; urgency=medium

  * Team upload.
  * Replace python3-pep517 by python-pyproject-hooks to enable migration

 -- Andreas Tille <tille@debian.org>  Sat, 20 Jan 2024 08:09:03 +0100

xphyle (4.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1058448
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Make sure clean target will not fail for unpatched setup.py
  * Build-Depends: python3-pep517, python3-wheel

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 18:08:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,24 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-setuptools,
                python3-all,
+               python3-pyproject-hooks,
                python3-setuptools-scm,
+               python3-wheel,
                python3-pytest <!nocheck>,
-               python3-pokrok <!nocheck>
-Standards-Version: 4.5.1
+               python3-pokrok <!nocheck>,
+               pbzip2 <!nocheck>,
+               pigz <!nocheck>,
+               tabix <!nocheck>,
+               zstd <!nocheck>,
+Standards-Version: 4.7.0
 Homepage: https://github.com/jdidion/xphyle
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xphyle
 Vcs-Git: https://salsa.debian.org/python-team/packages/xphyle.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-xphyle

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=xphyle
export PYBUILD_TEST_ARGS=-m "not perf" -vv

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	-dh_auto_clean
	rm -fr .pybuild
	if [ -f setup.py~ ] ; then mv setup.py~ setup.py ; fi
